| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__AddSubToMlhgRequest2 Struct Reference
Multi Line Hunt Group

Add Subscriber to MLHG request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | BGName
| The Business Group of the ML Hunt Group and its Pilot. More...
char * | BOName
| The Branch Office associated with the ML Hunt Group. More...
char * | OperatorId
| Operator Id. More...
char * | PilotServiceId
| The DN of the subscriber that represents the Pilot DN of the MLHG. More...
char * | ServiceId
| The DN of the subscriber to be added to the MLHG. More...
int * | Position
| Indicates the position in the MLHG in which the new terminal should be inserted. More...
struct unsp__AddSubToMlhgRequest | AddSubToMlhgRequest
| Terminal Information. More...

## Detailed Description

Add Subscriber to MLHG request.

Used by unsp__AddSubToMlhg2()

## Member Data Documentation

## ◆ AddSubToMlhgRequest

struct unsp__AddSubToMlhgRequest unsp__AddSubToMlhgRequest2::AddSubToMlhgRequest

Terminal Information.

## ◆ BGName

char* unsp__AddSubToMlhgRequest2::BGName

The Business Group of the ML Hunt Group and its Pilot.

required: true

See also
  unsp__BGName

## ◆ BOName

char* unsp__AddSubToMlhgRequest2::BOName

The Branch Office associated with the ML Hunt Group.

required: false

See also
  unsp__BOName

## ◆ OperatorId

char* unsp__AddSubToMlhgRequest2::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PilotServiceId

char* unsp__AddSubToMlhgRequest2::PilotServiceId

The DN of the subscriber that represents the Pilot DN of the MLHG.

required: true

See also
  unsp__ServiceId

## ◆ Position

int* unsp__AddSubToMlhgRequest2::Position

Indicates the position in the MLHG in which the new terminal should be inserted.

If not provided, the terminal is added in the last position. That is, one greater than the currently existing last terminal.
required: false
default value[range]: NA

## ◆ ServiceId

char* unsp__AddSubToMlhgRequest2::ServiceId

The DN of the subscriber to be added to the MLHG.

required: true

See also
  unsp__ServiceId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h